binutils: use 2.19.1 for ppc40x by default
[openwrt/openwrt.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_18 if TARGET_avr32
6 default BINUTILS_VERSION_2_18 if TARGET_ppc44x
7 default BINUTILS_VERSION_2_19_1
8 help
9 Select the version of binutils you wish to use.
10
11 config BINUTILS_VERSION_2_18
12 bool "binutils 2.18"
13
14 config BINUTILS_VERSION_2_19_1
15 depends !TARGET_avr32
16 bool "binutils 2.19.1"
17 endchoice
18
19 config EXTRA_BINUTILS_CONFIG_OPTIONS
20 string
21 prompt "Additional binutils options" if TOOLCHAINOPTS
22 default ""
23 help
24 Any additional binutils options you may want to include....
25
26 config BINUTILS_VERSION
27 string
28 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
29 default "2.18" if BINUTILS_VERSION_2_18
30 default "2.19.1" if BINUTILS_VERSION_2_19_1
31 default "2.18" if TARGET_avr32
32 default "2.18" if TARGET_ppc44x
33 default "2.19.1"